ru.bitel.bgbilling.modules.tv.api.common.event

## Class TvAccountModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.tv.api.common.event.TvAccountModifyEvent

- All Implemented Interfaces:
    java.io.Serializable, ErrorReturnableEvent

      public class TvAccountModifyEvent
      extends LocalEvent
      implements ErrorReturnableEvent

  Событие вызывается в момент правки аккаунта договора. Возможно изменение его параметров.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccountModifyEvent(int moduleId, int userId, TvAccount oldTvAccount, TvAccount newTvAccount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()` Возвращает ошибку при правке аккаунта.
    `TvAccount` | `getNewTvAccount()` Возвращает изменяемый аккаунт договора.
    `TvAccount` | `getOldInetServ()` Deprecated.
    `TvAccount` | `getOldTvAccount()` Возвращает предыдущее значение изменяемого аккаунта договора.
    `void` | `setError(java.lang.String error)` Устанавливает ошибку при правке аккаунта.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountModifyEvent

          public TvAccountModifyEvent(int moduleId,
                                      int userId,
                                      TvAccount oldTvAccount,
                                      TvAccount newTvAccount)

  - ### Method Detail

    - #### getNewTvAccount

          public TvAccount getNewTvAccount()

      Возвращает изменяемый аккаунт договора.
      Returns:

    - #### getOldTvAccount

          public TvAccount getOldTvAccount()

      Возвращает предыдущее значение изменяемого аккаунта договора.
      Returns:

    - #### getOldInetServ

          @Deprecated
          public TvAccount getOldInetServ()

      Deprecated.
      Возвращает предыдущее значение изменяемого аккаунта договора.
      Returns:

    - #### getError

          public java.lang.String getError()

      Возвращает ошибку при правке аккаунта. При наличие ошибки правка отменяется.
      Specified by:
        `getError` in interface `ErrorReturnableEvent`
      Returns:

    - #### setError

          public void setError(java.lang.String error)

      Устанавливает ошибку при правке аккаунта.
      Parameters:
        `error` -